import java.util.Scanner;

/*
* Berechnet den GGT von beliebig vielen eingelesenen Werten.
*/
public class Euklid5 {
	public static void main(String[] args) {
		
		Scanner sc = new Scanner(System.in);
		
		int m = 0;
		
		while(sc.hasNext()) {
			// noch kein Ende der Eingabe erreicht
			
			if (sc.hasNextInt()) {
				//Eingabe ist eine Ganzzahl
				
				int n = sc.nextInt();
				m = ggt(m, n);
				
			} else {
				//Eingabe lässt sich nicht als Zahl einlesen
				
				System.out.println("Bitte nur ganze Zahlen eingeben!");
				
				//Was passiert wenn man folgende Zeile streicht?
				sc.next();
				
			}
			
		}
		
		System.out.println(m);
		
	}
	
	/**
	* Diese Funktion berechnet den GGT zweier 
	* positiver ganzer Zahlen. Sie hat zwei formale Parameter.
	*
	* @param m eine ganze Zahl größer als Null (m>0). 
	* @param n eine ganze Zahl größer als Null (n>0).
	* @return der GGT der beiden angegebenen Zahlen.
	*/
	public static int ggt(int n, int m) {
		
		return m < 0 ? ggt(-m, n) : n < 0 ? ggt(m, -n) : m == 0 || n == 0 ? m + n : m != n ? m > n ? ggt(m - n, n) : ggt(m, n - m) : m;
		
	}
	
	
}
