public class Tree {

	private String indent = "";
	
	public void execute(DirectoryEntry entry) {
	
		if (entry instanceof File) {
		
			System.out.println(indent + entry.name());
		
		} else {
			
			System.out.println(indent + "+" + entry.name());
			
			String lastIndent = indent;
			indent += "   ";
			
			for(DirectoryEntry de: ((Directory)entry).list()) {
			
				this.execute(de);
			
			}
			
			indent = lastIndent;
		
		}
		
	}


	//Ausgabe:
        //+root
        //   test.txt
        //   +html
        //      index.html
        //   +cgi
        //      test.sh
        //      test.pl
        //      test.py

	
}
