public class Find implements Operation {
	
	private String search;
	
	public Find(String search) {
		
		this.search = search;
		
	}
	
	public Directory execute(Directory dir) {
		
		if (dir.name().contains(search)) {
			
			System.out.println("Directory: " + dir.name());
			
		}	
		
		for (DirectoryEntry de: dir.list()) {
			
			if (de instanceof File) {
				
				if (de.name().contains(search)) {
					
					System.out.println("File: " + de.name());
					
				}
				
			} else {
				
				execute((Directory)de);
				
			}
			
		}
		
		return dir;
		
	}
	
}
