import java.util.Scanner;

//ggt(l,m,n) == ggt(l, ggt(m,n))

public class Euklid2 {
	public static void main(String[] args) {
		
		Scanner sc = new Scanner(System.in);
		
		if (sc.hasNextInt()) {
			
			int a = sc.nextInt();
			
			if (sc.hasNextInt()) {
				
				int b = sc.nextInt();
				
				if (sc.hasNextInt()) {
					
					int c = sc.nextInt();
					
					int ergebnis = ggt(a, ggt(b,c));
					
					System.out.println(ergebnis);
					
				}
				
			}
			
		}
		
	}
	
	/**
	* Diese Funktion berechnet den GGT zweier 
	* positiver ganzer Zahlen.
	*
	* @param m eine ganze Zahl größer Null (m>0). 
	* @param n eine ganze Zahl größer Null (n>0).
	* @return der GGT der beiden angegebenen Zahlen.
	*/
	public static int ggt(int m, int n) {
		
		// m > 0, n > 0
		while (m != n) {
			
			if (m > n) { 
				
				//ggt(m-n, n) == ggt(m,n)
				m = m - n;
				//ggt bleibt unverändert
				
			} else { // es gilt n > m
				
				//ggt(m, n-m) == ggt(m,n)
				n = n - m;
				//ggt bleibt unverändert
				
			}
			
		}
		
		// nun gilt m == n
		return m;
		
	}
	
}




