import java.util.Scanner;

public class Wahl {

	public static void main(String[] args) {

		Scanner sc = new Scanner(System.in);
		
		int[] stimmen = new int[5];
		int ungueltig = 0;
		
		while(sc.hasNextInt()) {
		
			int partei = sc.nextInt();
			
			if(partei >= 1 && partei <= 5) {
			
				stimmen[partei-1]++;
			
			} else {
			
				ungueltig++;
			
			}
		
		}
		
		System.out.println(toString(stimmen));
		System.out.println(ungueltig);
		System.out.println(toStringRelativ(stimmen));
		
		clear(stimmen);
		//extend(stimmen, 2);	
		System.out.println(toString(stimmen));

	}
	
	public static String toString(int[] ia) {
	
		String s = "[";
		
		for (int i = 0; i < ia.length; i++) {
		
			s = s + ia[i];
			
			if (i < ia.length - 1) {
			
				s = s + ", ";
			
			}
		
		}
		
		return s + "]";
		
	}
	
	public static int summe(int[] ia) {
	
		int summe = 0;
		
		for (int i = 0; i < ia.length; i++) {
		
			summe += ia[i];
		
		}
		
		return summe;
	
	}
	
	public static String toStringRelativ(int[] ia) {
	
		String s = "[";
		
		for (int i = 0; i < ia.length; i++) {
		
			s = s + String.format("%.4g",100*ia[i]/(double) summe(ia));
			
			if (i < ia.length - 1) {
			
				s = s + ", ";
			
			}
		
		}
		
		return s + "]";
	
	}
	
	public static void clear(int[] ia) {
		
		for (int i = 0; i < ia.length; i++) {
		
			ia[i] = 0;
		
		}
		
		
	}

}
