public class Find implements Operation {

	private String search;
	
	public Find(String search) {
	
		this.search = search;
	
	}
	
	public void execute(DirectoryEntry entry) {
	
		if (entry instanceof File) {
		
			if (entry.name().contains(search)) {
			
				System.out.println("File: " + entry.name());
			
			}
		
		} else {
		
			if (entry.name().contains(search)) {
			
				System.out.println("Directory: " + entry.name());
			
			}	
			
			for (DirectoryEntry de: ((Directory) entry).list()) {
			
				execute(de);
			
			}
		
		}
	
	
	}


}
